Google Scholar Profiles API
이름으로 Google Scholar 저자 프로필을 검색합니다. engine=google_scholar_profiles를 설정하고 mauthors에 이름을 전달하면 일치하는 저자 목록을 ID, 소속 기관, 인용 횟수와 함께 확인할 수 있습니다.
Endpoint
섹션 제목: “Endpoint” GET https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY
Parameters
섹션 제목: “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | SERP API 키 |
engine | string | yes | google_scholar_profiles이어야 함 |
mauthors | string | yes | 검색할 저자 이름 |
hl | string | no | 인터페이스 언어 코드 |
after_author | string | no | 다음 페이지 토큰, before_author 값 뒤에 와야 함 |
before_author | string | no | 이전 페이지 토큰 |
Example request
섹션 제목: “Example request”curl "https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY&mauthors=jake"import requests
params = { "engine": "google_scholar_profiles", "api_key": "YOUR_API_KEY", "mauthors": "jake",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_scholar_profiles', api_key: 'YOUR_API_KEY', mauthors: 'jake',});const data = await (await fetch(url)).json();Example response
섹션 제목: “Example response”{ "search_parameters": { "engine": "google_scholar_profiles", "mauthors": "jake" }, "profiles": [ { "name": "Jake Smith", "author_id": "LSsXyncAAAAJ", "affiliations": "Professor of Computer Science, MIT", "email": "Verified email at mit.edu", "cited_by": 18200, "interests": [ { "title": "Artificial Intelligence" } ], "thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..." } ], "pagination": { "next_page_token": "...", "next": "https://serp.shifter.io/v1?engine=google_scholar_profiles&mauthors=jake&after_author=..." }}